Package com.ocient.cli.extract

# Class RecordExtractorFactory

java.lang.Object
com.ocient.cli.extract.RecordExtractorFactory

public class RecordExtractorFactory extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RecordExtractorFactory.WriterHandle`
Born out of a need to parallelize Amazon S3 Multi-Part Uploads through a number of synchronous `OutputStream` and `AbstractWriter` implementations.

## Method Summary

Modifier and Type
Method
Description
`static String`
`resolveFileName(ExtractConfiguration extractConfig, int fileIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### resolveFileName

public static String resolveFileName(ExtractConfiguration extractConfig, int fileIndex)